## sitesummary 0.1.3

=== debian/changelog ===
sitesummary (0.1.3) unstable; urgency=low

  * Change temp file name created by nagios-plugins check_cups_queue
    to include host name being checked, to make it easier to figure
    out why some of the temp files are left behind.
  * Reintroduce DHCP server check, only checking if the process runs
    this time.  Check for dhcpd3 on Lenny and dhcpd on Squeeze++.
  * Make sure to restart nagios-nrpe-server when sitesummary-client is
    upgraded, to tell it to discover any new NRPE rules.
  * Correct how to generate label names used by Munin plugins using
    the translation rule proposed by the Munin project.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 15 Feb 2012 08:19:52 +0100

## sitesummary 0.1.5

=== debian/changelog ===
sitesummary (0.1.5) unstable; urgency=low

  * Team upload.
  * Add Danish debconf translation, thanks to Joe Hansen (closes: #675598).

 -- David Prévot <taffit@debian.org>  Sat, 18 Aug 2012 13:41:40 -0400

sitesummary (0.1.4) unstable; urgency=low

  * Add support in check_kernel_version for any 3.X kernel.
  * Add support in the Nagios configuration generator to ignore
    specific checks for a given host by listing it in
    /etc/sitesummary/nagiosignore.  Useful for machines where a
    package is installed but disabled.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Apr 2012 20:44:32 +0200

## sitesummary 0.1.6

=== debian/changelog ===
sitesummary (0.1.6) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Make Nagios config more robust, ignore hosts without any name and
    address, which must be the result of a corrupt sitesummary entry.
  * Do not check xenfs file systems when generating Nagios config.

  [ David Prévot ]
  * Add Italian debconf translation, thanks to Beatrice Torracca
   (closes: #691353).
  * Fix encoding in German debconf translation.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 04 Nov 2012 00:06:13 +0100

## sitesummary 0.1.7

=== debian/changelog ===
sitesummary (0.1.7) unstable; urgency=low

  [ David Prévot ]
  * debian/control: Fix Vcs- entries.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 06 Nov 2012 15:04:19 +0100

## sitesummary 0.1.8

=== debian/changelog ===
sitesummary (0.1.8) unstable; urgency=low

  * nagios-plugins/check_kernel_status: Add support for new format of
    /proc/version introduced in kernel package version 3.2.32-1.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 30 Nov 2012 21:36:13 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

MAKE = make
DEB_DESTDIR = debian/tmp

# No need to submit information when the package is installed
DEB_DH_INSTALLINIT_ARGS=--no-start
DEB_UPDATE_RCD_PARAMS_sitesummary-client=start 20 2 3 4 5 .

common-install-indep::
	$(MAKE)	install DESTDIR=$(DEB_DESTDIR)

## sitesummary 0.1.8+deb7u1

=== debian/changelog ===
sitesummary (0.1.8+deb7u1) wheezy; urgency=low

  * No change upload targeted at wheezy-proposed-update for the upcoming 7.2
    release.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Oct 2013 17:41:34 +0200

=== debian/control ===
Source: sitesummary
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Patrick Winnertz <winnie@debian.org>, Holger Levsen <holger@debian.org>
Build-Depends: debhelper (>= 5), cdbs
Standards-Version: 3.9.2
Homepage: http://wiki.debian.org/DebianEdu/HowTo/SiteSummary
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-edu/trunk/src/sitesummary/
Vcs-Svn: svn://anonscm.debian.org/debian-edu/trunk/src/sitesummary/

Package: sitesummary
Architecture: all
Depends: ${misc:Depends}, gnupg, net-tools, perl-modules
Recommends: apache2-mpm-worker | httpd, sitesummary-client
Suggests: munin, munin-node, nagios3, nagios-plugins-standard, ldap-utils, cups-client
Description: Generate site summary of submitting hosts (server part)
 The sitesummary system makes it easier to keep track of a lot of
 machines, by allowing each machine to report their existence once a
 day to a central collector, and using this collector to make summary
 reports about the hosts.
 .
 This package is the server part, with the collector and report
 scripts.

Package: sitesummary-client
Architecture: all
Depends: ${misc:Depends}, gnupg, perl-modules
Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, iproute
Suggests: sitesummary, munin-node, nagios-nrpe-server, nagios-plugins-standard, cdpr
Description: Generate site summary of submitting hosts (client part)
 The sitesummary system makes it easier to keep track of a lot of
 machines, by allowing each machine to report their existence once a
 day to a central collector, and using this collector to make summary
 reports about the hosts.
 .
 This package is the client part, reporting in to the server after
 boot and once a day.

## sitesummary 0.1.8+deb7u2

=== debian/changelog ===
sitesummary (0.1.8+deb7u2) wheezy-security; urgency=high

  [ Wolfgang Schweer ]
  * Adjust sitesummary-upload to use CRLF (\r\n) line endings to be compliant
    with apache 2.4.25 security fixes for HTTP requests. (Closes: #852623).

 -- Holger Levsen <holger@debian.org>  Sat, 18 Mar 2017 16:01:53 +0100

## sitesummary 0.1.9

=== Makefile ===
DESTDIR = 

prefix       = /usr
sbindir      = $(prefix)/sbin
datadir      = $(prefix)/share
libdir       = $(prefix)/lib
cgibindir    = $(libdir)/cgi-bin
pkgdatadir   = $(datadir)/sitesummary
pkgdir       = $(libdir)/sitesummary
collectordir = $(pkgdir)/collect.d
perldir      = $(datadir)/perl5
pkgvardir    = /var/lib/sitesummary
nagiosplugdir= $(pkgdir)/nagios-plugins

INSTALL      = install
INSTALL_DATA = $(INSTALL) -m 644

COLLECTORS = \
	collect.d/debian \
	collect.d/debian-edu \
	collect.d/nagios \
	collect.d/system \
	collect.d/siteinfo

SUMMARYSCRIPTS = \
	agesinceseen-summary \
	site-summary \
	hardware-model-summary \
	hostclass-summary \
	kernelversion-summary \
	debian_edu-summary

all:

install: install-server install-client

install-server:
	$(INSTALL) -d $(DESTDIR)$(cgibindir)
	$(INSTALL) sitesummary-collector.cgi $(DESTDIR)$(cgibindir)

	$(INSTALL) -d $(DESTDIR)$(sbindir)
	for f in sitesummary-makewebreport sitesummary-nodes sitesummary-update-munin sitesummary-update-nagios ; do \
		$(INSTALL) $$f $(DESTDIR)$(sbindir) ; \
	done

	$(INSTALL) -d $(DESTDIR)$(perldir)
	$(INSTALL) -d $(DESTDIR)$(pkgdir)
	$(INSTALL_DATA) SiteSummary.pm $(DESTDIR)$(perldir)
	$(INSTALL) $(SUMMARYSCRIPTS) $(DESTDIR)$(pkgdir)/

	$(INSTALL) expire-entry $(DESTDIR)$(pkgdir)/

	$(INSTALL) -d $(DESTDIR)/etc/apache2/conf.d
	$(INSTALL_DATA) apache.conf $(DESTDIR)/etc/apache2/conf.d/sitesummary

	$(INSTALL) -o www-data -d $(DESTDIR)$(pkgvardir)/entries
	$(INSTALL) -o www-data -d $(DESTDIR)$(pkgvardir)/tmpstorage
	$(INSTALL) -d $(DESTDIR)$(pkgvardir)/www

	$(INSTALL) -d $(DESTDIR)/usr/share/munin/plugins/.
	$(INSTALL) munin-plugin $(DESTDIR)/usr/share/munin/plugins/sitesummary_sites
	$(INSTALL) munin-plugin-agesinceseen \
		$(DESTDIR)/usr/share/munin/plugins/sitesummary_agesinceseen

	$(INSTALL) -d $(DESTDIR)/etc/nagios3
	$(INSTALL_DATA) nagios.cfg \
		$(DESTDIR)/etc/nagios3/sitesummary.cfg
	$(INSTALL_DATA) nagios-templates.cfg \
		$(DESTDIR)/etc/nagios3/sitesummary-templates.cfg
	$(INSTALL_DATA) nagios-template-contacts.cfg \
		$(DESTDIR)/etc/nagios3/sitesummary-template-contacts.cfg
	$(INSTALL) -d $(DESTDIR)/etc/nagios
	$(INSTALL_DATA) nagios-nrpe-commands.cfg \
		$(DESTDIR)/etc/nagios/sitesummary-nrpe-commands.cfg

install-client:
	$(INSTALL) -d $(DESTDIR)$(sbindir)
	$(INSTALL) sitesummary-client sitesummary-upload $(DESTDIR)$(sbindir)
	$(INSTALL) -d $(DESTDIR)$(pkgdatadir)
	$(INSTALL_DATA) sitesummary-client.conf $(DESTDIR)$(pkgdatadir)/

	$(INSTALL) -d $(DESTDIR)$(collectordir)
	for collector in $(COLLECTORS) ; do \
		$(INSTALL) $$collector $(DESTDIR)$(collectordir); \
	done

	$(INSTALL) -d $(DESTDIR)$(nagiosplugdir)
	for plugin in nagios-plugins/* ; do \
		$(INSTALL) $$plugin $(DESTDIR)$(nagiosplugdir); \
	done

clean:
	$(RM) *~ */*~
distclean: clean

=== debian/changelog ===
sitesummary (0.1.9) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * sitesummary-nodes: Add support for fetching configuration from
    /etc/sitesummary/sitesummary-nodes.conf, and make it possible to
    configure the nagios warning and critical levels for ping checks.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Oct 2013 17:35:53 +0200

## sitesummary 0.1.10

=== debian/changelog ===
sitesummary (0.1.10) unstable; urgency=low

  * Drop Morten Werner Forsbring, Steffen Joeris and Patrick Winnertz as
    uploaders.  Thank you for your good work!
  * Move package upstream source from svn to git.  Update Vcs-* values
    in debian/control to reflect this.
  * Update from debhelper version 5 to 9.
  * Update Standards-Version from 3.9.2 to 3.9.5.  No changes needed.
  * Do not try to check file system usage for file system type pstore.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 04 Apr 2014 08:49:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Patrick Winnertz <winnie@debian.org>, Holger Levsen <holger@debian.org>
-Build-Depends: debhelper (>= 5), cdbs
-Standards-Version: 3.9.2
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Holger Levsen <holger@debian.org>
+Build-Depends: debhelper (>= 9), cdbs
+Standards-Version: 3.9.5
 Homepage: http://wiki.debian.org/DebianEdu/HowTo/SiteSummary
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-edu/trunk/src/sitesummary/
-Vcs-Svn: svn://anonscm.debian.org/debian-edu/trunk/src/sitesummary/
+Vcs-Git: git://anonscm.debian.org/debian-edu/upstream/sitesummary.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/upstream/sitesummary.git
 
 Package: sitesummary
 Architecture: all

## sitesummary 0.1.17

=== debian/changelog ===
sitesummary (0.1.17) unstable; urgency=high

  * Fix installation problem when sitesummary is preseeded to update
    munin configuration.  Make sure /etc/sitesummary/ is created when
    postinst try to create a file there.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 10 Sep 2014 14:53:36 +0200

sitesummary (0.1.16) unstable; urgency=high

  * Implement workaround for the failing installation when apache and
    sitesummary is installed at the same time, and apache is unpacked
    but not yet configured when the sitesummary postinst is running
    (bug #760084).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 02 Sep 2014 15:24:13 +0200

sitesummary (0.1.15) unstable; urgency=high

  * Try to enable the cgi apache module before the sitesummary
    configuration in the postinst, in case that help with bug #760084.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 31 Aug 2014 20:15:16 +0200

sitesummary (0.1.14) unstable; urgency=low

  * Update Vcs-Browser link to the new cgit interface.
  * Add simple autopkgtest check script to verify that the server is
    working and the client can submit to it.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 29 Aug 2014 23:12:05 +0200

sitesummary (0.1.13) unstable; urgency=high

  * Drop redundant ScriptAlias line from apache configuration to avoid
    error from apache during installation of the sitesummary package.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Aug 2014 15:40:34 +0200

sitesummary (0.1.12) unstable; urgency=high

  * Adjust Apache configuration, use 'Require all granted' instead of
    Order/Deny/Allow, and enable cgi.load module when installing the
    sitesummary server to get it working out of the box.
  * Add call to /lib/lsb/init-functions in init.d/sitesummary-client to
    integrate better with systemd.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 21 Aug 2014 22:04:43 +0200

sitesummary (0.1.11) unstable; urgency=medium

  * Migrate setup to Apache 2.4 (Closes: #669782).  Rename conffile
    /etc/apache2/conf.d/sitesummary to
    /etc/apache2/conf-available/sitesummary.conf.  Add code in
    postinst to enable the apache configuration by default on fresh
    installs.
  * Add missing ${perl:Depends} to binary packages dependency list.
  * Remove obsolete code from sitesummary postinst, used when
    migrating apache config in sitesummary version 0.0.7.
  * Add Alexander Alemayhu as uploader.
  * Adjust nagios-plugins/check_kernel_status to avoid perl warning on
    Debian and Ubuntu (LP: 1083143).
  * Reorder version matching in nagios-plugins/check_kernel_status to
    handle newer Linux kernels in Debian (Closes: #752374).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 21 Aug 2014 11:24:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Holger Levsen <holger@debian.org>
+Uploaders: Petter Reinholdtsen <pere@debian.org>
+ , Holger Levsen <holger@debian.org>
+ , Alexander Alemayhu <alexander@bitraf.no>
 Build-Depends: debhelper (>= 9), cdbs
 Standards-Version: 3.9.5
+XS-Testsuite: autopkgtest
 Homepage: http://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Git: git://anonscm.debian.org/debian-edu/upstream/sitesummary.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/upstream/sitesummary.git
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-edu/upstream/sitesummary.git
 
 Package: sitesummary
 Architecture: all
-Depends: ${misc:Depends}, gnupg, net-tools, perl-modules
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${perl:Depends}, gnupg, net-tools, perl-modules
 Recommends: apache2-mpm-worker | httpd, sitesummary-client
 Suggests: munin, munin-node, nagios3, nagios-plugins-standard, ldap-utils, cups-client
 Description: Generate site summary of submitting hosts (server part)
@@ -25,7 +29,7 @@
 
 Package: sitesummary-client
 Architecture: all
-Depends: ${misc:Depends}, gnupg, perl-modules
+Depends: ${misc:Depends}, ${perl:Depends}, gnupg, perl-modules
 Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, iproute
 Suggests: sitesummary, munin-node, nagios-nrpe-server, nagios-plugins-standard, cdpr
 Description: Generate site summary of submitting hosts (client part)

## sitesummary 0.1.17+deb8u1

=== debian/changelog ===
sitesummary (0.1.17+deb8u1) jessie; urgency=medium

  * Backport RC fixes from unstable.

  [ Dominik George ]
  * Fix hanging postinst script (Closes: #785214).
  * Fix dangling symlink in apache config after removal (Closes: #785215, #794606).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 20 Feb 2016 15:24:04 +0100

## sitesummary 0.1.17+deb8u2

=== debian/changelog ===
sitesummary (0.1.17+deb8u2) jessie-security; urgency=high

  * Backport RC fix from unstable.

  [ Wolfgang Schweer ]
  * Adjust sitesummary-upload to use CRLF (\r\n) line endings to be compliant
    with apache 2.4.25 security fixes for HTTP requests. (Closes: #852623).

 -- Holger Levsen <holger@debian.org>  Sat, 18 Mar 2017 15:26:10 +0100

## sitesummary 0.1.17+deb8u3

=== debian/changelog ===
sitesummary (0.1.17+deb8u3) jessie; urgency=medium

  [ Wolfgang Schweer ]
  * Fix d/sitesummary.prerm and provide mandatory facilities. Cherrypicked from
    commit 3cff262 (master branch / 0.1.21 release). (Closes: #823688).

 -- Holger Levsen <holger@debian.org>  Fri, 21 Apr 2017 19:46:35 +0200

## sitesummary 0.1.18

=== debian/changelog ===
sitesummary (0.1.18) unstable; urgency=low

  [ Dominik George ]
  * Fix hanging postinst script (Closes: #785214).
  * Fix dangling symlink in apache config after removal (Closes: #785215).

  [ Mike Gabriel ]
  * debian/control:
    + Add myself to Uploaders: field.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 29 Sep 2015 11:24:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>
  , Holger Levsen <holger@debian.org>
  , Alexander Alemayhu <alexander@bitraf.no>
+ , Mike Gabriel <sunweaver@debian.org>
 Build-Depends: debhelper (>= 9), cdbs
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest

## sitesummary 0.1.19

=== debian/changelog ===
sitesummary (0.1.19) unstable; urgency=low

  * Collect output from hdparm -I for every disk device (Closes: #785285).
  * Add missing debhelper token to sitesummary.prerm.
  * Add Dominik George as uploader.
  * Remove Alexander Alemayhu on his request.  Thank  you Alexander for
    all your contributors.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 20 Dec 2015 08:35:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
  , Holger Levsen <holger@debian.org>
- , Alexander Alemayhu <alexander@bitraf.no>
  , Mike Gabriel <sunweaver@debian.org>
+ , Dominik George <nik@naturalnet.de>
 Build-Depends: debhelper (>= 9), cdbs
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest

## sitesummary 0.1.20

=== debian/changelog ===
sitesummary (0.1.20) unstable; urgency=medium

  * Remove broken code from autopkgtest script.
  * Rename recommended non-existing package apache2-mpm-worker to apache2.
    (Closes: #791596)
  * Update Standards-Version from 3.9.5 to 3.9.6.
  * Rephrase description of hidden debconf questions to tell lintian
    they are internal.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 11 Jan 2016 00:00:11 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  , Mike Gabriel <sunweaver@debian.org>
  , Dominik George <nik@naturalnet.de>
 Build-Depends: debhelper (>= 9), cdbs
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Git: git://anonscm.debian.org/debian-edu/upstream/sitesummary.git
@@ -17,7 +17,7 @@
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${perl:Depends}, gnupg, net-tools, perl-modules
-Recommends: apache2-mpm-worker | httpd, sitesummary-client
+Recommends: apache2 | httpd, sitesummary-client
 Suggests: munin, munin-node, nagios3, nagios-plugins-standard, ldap-utils, cups-client
 Description: Generate site summary of submitting hosts (server part)
  The sitesummary system makes it easier to keep track of a lot of

## sitesummary 0.1.21

=== debian/changelog ===
sitesummary (0.1.21) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix sitesummary.prerm (Closes: #823688).

  [ Petter Reinholdtsen ]
  * Add Brazilian Portuguese (pt_BR) translation by Adriano Rafael Gomes
    (Closes: #816940).
  * Adjust nagios kernel version checking module to work with recent
    Ubuntu kernels (Closes: #803720).  Patch from Daniele Palumbo.
  * Updated Standards-Version 3.9.6 to 3.9.8.
  * Added Wolfgang Schweer as uploader.
  * Use Testsuite, not obsolete XS-Testsuite, in control file to
    indicate a autopkgtest is available.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 16 May 2016 09:21:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
  , Holger Levsen <holger@debian.org>
  , Mike Gabriel <sunweaver@debian.org>
  , Dominik George <nik@naturalnet.de>
+ , Wolfgang Schweer <wschweer@arcor.de>
 Build-Depends: debhelper (>= 9), cdbs
-Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
+Standards-Version: 3.9.8
+Testsuite: autopkgtest
 Homepage: http://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Git: git://anonscm.debian.org/debian-edu/upstream/sitesummary.git
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-edu/upstream/sitesummary.git

## sitesummary 0.1.22

=== debian/changelog ===
sitesummary (0.1.22) unstable; urgency=medium

  * Make sure to recommend hdparm, to have it available when running
    the system collector.
  * Extend autopkgtest script to verify the entry made it to the server.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 21 May 2016 07:46:34 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Package: sitesummary-client
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, gnupg, perl-modules
-Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, iproute
+Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, iproute, hdparm
 Suggests: sitesummary, munin-node, nagios-nrpe-server, nagios-plugins-standard, cdpr
 Description: Generate site summary of submitting hosts (client part)
  The sitesummary system makes it easier to keep track of a lot of

## sitesummary 0.1.23

=== debian/changelog ===
sitesummary (0.1.23) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Make sure sitesummary configuration is enabled even in case apache2 is
    installed after sitesummary (Closes: #760084, #830102).
    - Add file d/sitesummary.triggers
    - Add configuration code for triggered) case to d/sitesummary.postinstall

  [ Holger Levsen ]
  * Remove perl-modules from all depends, ${perl:Depends} is enough. Thanks
    lintian.
  * sitesummary-client:
    - recommend iproute2 instead of the obsolete iproute. (Closes: #824681)
    - add a depends to lsb-base (>= 3.0-6), thanks lintian.
  * Add debian/sitesummary.lintian-overrides as we only use the full path to
    test whether the binary is installed. 

 -- Holger Levsen <holger@debian.org>  Tue, 15 Nov 2016 15:05:12 +0100

## sitesummary 0.1.24

=== Makefile ===
--- 
+++ 
@@ -50,8 +50,8 @@
 
 	$(INSTALL) expire-entry $(DESTDIR)$(pkgdir)/
 
-	$(INSTALL) -d $(DESTDIR)/etc/apache2/conf.d
-	$(INSTALL_DATA) apache.conf $(DESTDIR)/etc/apache2/conf.d/sitesummary
+	$(INSTALL) -d $(DESTDIR)/etc/apache2/conf-available
+	$(INSTALL_DATA) apache.conf $(DESTDIR)/etc/apache2/conf-available/sitesummary.conf
 
 	$(INSTALL) -o www-data -d $(DESTDIR)$(pkgvardir)/entries
 	$(INSTALL) -o www-data -d $(DESTDIR)$(pkgvardir)/tmpstorage

=== debian/changelog ===
sitesummary (0.1.24) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix d/sitesummary.postinst:
    - Drop apache2 restart call as it doesn't seem to work inside chroots.
    - Use maintscript-helper to enable the cgi(d) module and sitesummary
      configuration instead of calling a2enmod and a2enconf directly.

  [ Holger Levsen ]
  * Drop now obsolete debian/sitesummary.lintian-overrides. 

 -- Holger Levsen <holger@debian.org>  Sat, 19 Nov 2016 16:02:35 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Package: sitesummary
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${perl:Depends}, gnupg, net-tools, perl-modules
+Depends: ${misc:Depends}, ${perl:Depends}, gnupg, net-tools
 Recommends: apache2 | httpd, sitesummary-client
 Suggests: munin, munin-node, nagios3, nagios-plugins-standard, ldap-utils, cups-client
 Description: Generate site summary of submitting hosts (server part)
@@ -31,8 +31,8 @@
 
 Package: sitesummary-client
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, gnupg, perl-modules
-Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, iproute, hdparm
+Depends: ${misc:Depends}, ${perl:Depends}, lsb-base (>= 3.0-6), gnupg
+Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, iproute2, hdparm
 Suggests: sitesummary, munin-node, nagios-nrpe-server, nagios-plugins-standard, cdpr
 Description: Generate site summary of submitting hosts (client part)
  The sitesummary system makes it easier to keep track of a lot of

## sitesummary 0.1.25

=== debian/changelog ===
sitesummary (0.1.25) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add libcgi-pm-perl to sitesummary Depends. (Previously this was
    shipped with perl-modules, but now it's a separate package.)
    Thanks to Antonio Terceiro.
  * Add apache2 restart command to tests/test-server-client as this is
    needed after sitesummary.triggers has enabled the cgi module.

 -- Holger Levsen <holger@debian.org>  Mon, 21 Nov 2016 17:59:37 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Package: sitesummary
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${perl:Depends}, gnupg, net-tools
+Depends: ${misc:Depends}, ${perl:Depends}, gnupg, net-tools, libcgi-pm-perl
 Recommends: apache2 | httpd, sitesummary-client
 Suggests: munin, munin-node, nagios3, nagios-plugins-standard, ldap-utils, cups-client
 Description: Generate site summary of submitting hosts (server part)

## sitesummary 0.1.26

=== debian/changelog ===
sitesummary (0.1.26) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Adjust parser for collected information to handle the new ifconfig
    output format (Closes: #832342).
  * Adjusted autopkgtest script, prefer service over systemctl when
    restarting apache2.

  [ Holger Levsen ]
  * Override "no-debconf-config" lintian error like all the other kids on the
    block.
    (59 packages have the tag, 47 override it and the lintian maintainers
    assume that probably all the overrides are right as the real errors have
    been fixed by now… As I see it, we use debconf and templates correctly.)
  * debian/control:
    - use https URLs in Vcs-* headers.
    - use /git/ instead of /cgit/ in Vcs-Browser URL.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Nov 2016 14:36:37 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
 Build-Depends: debhelper (>= 9), cdbs
 Standards-Version: 3.9.8
 Testsuite: autopkgtest
-Homepage: http://wiki.debian.org/DebianEdu/HowTo/SiteSummary
+Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Git: git://anonscm.debian.org/debian-edu/upstream/sitesummary.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-edu/upstream/sitesummary.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-edu/upstream/sitesummary.git
 
 Package: sitesummary
 Architecture: all

## sitesummary 0.1.27

=== debian/changelog ===
sitesummary (0.1.27) unstable; urgency=medium

  * Apply patch by Bas Couwenberg to use Icinga instead of Nagios, as nagios3
    has been removed from Debian. (Closes: #846865)

 -- Holger Levsen <holger@debian.org>  Tue, 17 Jan 2017 22:08:00 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${perl:Depends}, gnupg, net-tools, libcgi-pm-perl
 Recommends: apache2 | httpd, sitesummary-client
-Suggests: munin, munin-node, nagios3, nagios-plugins-standard, ldap-utils, cups-client
+Suggests: munin, munin-node, icinga, monitoring-plugins-standard, ldap-utils, cups-client
 Description: Generate site summary of submitting hosts (server part)
  The sitesummary system makes it easier to keep track of a lot of
  machines, by allowing each machine to report their existence once a
@@ -33,7 +33,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, lsb-base (>= 3.0-6), gnupg
 Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, iproute2, hdparm
-Suggests: sitesummary, munin-node, nagios-nrpe-server, nagios-plugins-standard, cdpr
+Suggests: sitesummary, munin-node, nagios-nrpe-server, monitoring-plugins-standard, cdpr
 Description: Generate site summary of submitting hosts (client part)
  The sitesummary system makes it easier to keep track of a lot of
  machines, by allowing each machine to report their existence once a

## sitesummary 0.1.28

=== debian/changelog ===
sitesummary (0.1.28) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust sitesummary-upload to use CRLF (\r\n) line endings to be compliant
    with apache 2.4.25 security fixes for HTTP requests. (Closes: #852623)

 -- Holger Levsen <holger@debian.org>  Tue, 31 Jan 2017 13:26:50 +0100

## sitesummary 0.1.28ubuntu1

=== debian/changelog ===
sitesummary (0.1.28ubuntu1) artful; urgency=medium

  * debian/tests/test-server-client: fix test to work correctly when
    http_proxy is set in the environment.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 05 Jul 2017 16:57:11 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sitesummary
 Section: misc
 Priority: optional
-Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
  , Holger Levsen <holger@debian.org>
  , Mike Gabriel <sunweaver@debian.org>

## sitesummary 0.1.28+deb9u1

=== debian/changelog ===
sitesummary (0.1.28+deb9u1) stretch; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust nagios kernel version checking module to work with 4.x kernels.
    (Closes: #883323)

 -- Holger Levsen <holger@debian.org>  Sat, 02 Dec 2017 12:49:56 +0000

## sitesummary 0.1.29

=== debian/changelog ===
sitesummary (0.1.29) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix tests/test-server-client script. (Closes: #867361).
    - Unset http_proxy just in case a proxy is used in the test environment;
      thanks to Steve Langasek for the patch.
    - Add conditional sleep statement to avoid autopkgtest failure
      in case of too high load in the test environment.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 31 Aug 2017 21:55:55 +0200

## sitesummary 0.1.30

=== debian/changelog ===
sitesummary (0.1.30) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes needed.
  * Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~.
  * Drop unnecessary "Testsuite:autopkgtest" header from debian/control,
    thanks lintian.

 -- Holger Levsen <holger@debian.org>  Sat, 30 Sep 2017 01:28:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: sitesummary
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
+Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
  , Holger Levsen <holger@debian.org>
  , Mike Gabriel <sunweaver@debian.org>
  , Dominik George <nik@naturalnet.de>
  , Wolfgang Schweer <wschweer@arcor.de>
-Build-Depends: debhelper (>= 9), cdbs
-Standards-Version: 3.9.8
-Testsuite: autopkgtest
+Build-Depends: debhelper (>= 10.2.5~), cdbs
+Standards-Version: 4.1.1
 Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Git: git://anonscm.debian.org/debian-edu/upstream/sitesummary.git
 Vcs-Browser: https://anonscm.debian.org/git/debian-edu/upstream/sitesummary.git

## sitesummary 0.1.31

=== debian/changelog ===
sitesummary (0.1.31) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust nagios kernel version checking module to work with 4.x kernels.
    (Closes: #883323)

  [ Holger Levsen ]
  * Bump Standards-Version to 4.1.2, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Dec 2017 12:39:45 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  , Dominik George <nik@naturalnet.de>
  , Wolfgang Schweer <wschweer@arcor.de>
 Build-Depends: debhelper (>= 10.2.5~), cdbs
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Git: git://anonscm.debian.org/debian-edu/upstream/sitesummary.git
 Vcs-Browser: https://anonscm.debian.org/git/debian-edu/upstream/sitesummary.git

## sitesummary 0.1.32

=== debian/changelog ===
sitesummary (0.1.32) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * d/sitesummary.triggers:
    - Use explicit -await trigger instead of implicit one.
    - Add comment to avoid lintian warning.

  [ Holger Levsen ]
  * Bump standards version to 4.1.3, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 07 Jan 2018 16:52:35 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  , Dominik George <nik@naturalnet.de>
  , Wolfgang Schweer <wschweer@arcor.de>
 Build-Depends: debhelper (>= 10.2.5~), cdbs
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Git: git://anonscm.debian.org/debian-edu/upstream/sitesummary.git
 Vcs-Browser: https://anonscm.debian.org/git/debian-edu/upstream/sitesummary.git

## sitesummary 0.1.33

=== Makefile ===
--- 
+++ 
@@ -62,13 +62,13 @@
 	$(INSTALL) munin-plugin-agesinceseen \
 		$(DESTDIR)/usr/share/munin/plugins/sitesummary_agesinceseen
 
-	$(INSTALL) -d $(DESTDIR)/etc/nagios3
+	$(INSTALL) -d $(DESTDIR)/etc/icinga
 	$(INSTALL_DATA) nagios.cfg \
-		$(DESTDIR)/etc/nagios3/sitesummary.cfg
+		$(DESTDIR)/etc/icinga/sitesummary.cfg
 	$(INSTALL_DATA) nagios-templates.cfg \
-		$(DESTDIR)/etc/nagios3/sitesummary-templates.cfg
+		$(DESTDIR)/etc/icinga/sitesummary-templates.cfg
 	$(INSTALL_DATA) nagios-template-contacts.cfg \
-		$(DESTDIR)/etc/nagios3/sitesummary-template-contacts.cfg
+		$(DESTDIR)/etc/icinga/sitesummary-template-contacts.cfg
 	$(INSTALL) -d $(DESTDIR)/etc/nagios
 	$(INSTALL_DATA) nagios-nrpe-commands.cfg \
 		$(DESTDIR)/etc/nagios/sitesummary-nrpe-commands.cfg

=== debian/changelog ===
sitesummary (0.1.33) unstable; urgency=medium

  [ Unit 193 ]
  * d/control, d/rules: Change from cdbs to simple dh rules, drop B-D on cdbs.
  * d/*.install: Strip proceeding debian/tmp/.

  [ Holger Levsen ]
  * Add debian/*docs files for README and TODO.
  * Add debian/source/format and switch it to "3.0 (native)".
  * Bump debian/compat to 11 and adapt build-depends accordingly.
  * debian/control: use https URL for Vcs-Git: header.
  * debian/changelog: remove trailing whitespaces.

 -- Holger Levsen <holger@debian.org>  Sun, 11 Feb 2018 10:05:16 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  , Mike Gabriel <sunweaver@debian.org>
  , Dominik George <nik@naturalnet.de>
  , Wolfgang Schweer <wschweer@arcor.de>
-Build-Depends: debhelper (>= 10.2.5~), cdbs
+Build-Depends: debhelper (>= 11~)
 Standards-Version: 4.1.3
 Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
-Vcs-Git: git://anonscm.debian.org/debian-edu/upstream/sitesummary.git
+Vcs-Git: https://anonscm.debian.org/git/debian-edu/upstream/sitesummary.git
 Vcs-Browser: https://anonscm.debian.org/git/debian-edu/upstream/sitesummary.git
 
 Package: sitesummary

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

# No need to submit information when the package is installed
override_dh_installinit:
	dh_installinit --no-start -- start 20 2 3 4 5 .

=== debian/tests/control ===
Tests: test-server-client
Depends: @
Restrictions: needs-root isolation-container needs-recommends

## sitesummary 0.1.34

=== debian/changelog ===
sitesummary (0.1.34) unstable; urgency=medium

  * d/control:
    - switch packaging to salsa.debian.org. Thanks to the alioth admins for
      providing such a nice service so long!
    - bump Standards-Version to 4.1.4, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 31 May 2018 10:29:23 +0000

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  , Dominik George <nik@naturalnet.de>
  , Wolfgang Schweer <wschweer@arcor.de>
 Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
-Vcs-Git: https://anonscm.debian.org/git/debian-edu/upstream/sitesummary.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-edu/upstream/sitesummary.git
+Vcs-Git: https://salsa.debian.org/debian-edu/upstream/sitesummary
+Vcs-Browser: https://salsa.debian.org/debian-edu/upstream/sitesummary
 
 Package: sitesummary
 Architecture: all

## sitesummary 0.1.36

=== debian/changelog ===
sitesummary (0.1.36) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/tests/control: Add apache2 to Depends now that the needs-recommends
    option has been removed from the Restrictions field. (Closes: #910266).
    Thanks to Paul Gevers for the hint.

 -- Holger Levsen <holger@debian.org>  Thu, 04 Oct 2018 11:17:51 +0100

sitesummary (0.1.35) unstable; urgency=medium

  [ Holger Levsen ]
  * Bump standards version to 4.2.1, no changes needed.
  * Drop empty last lines from d/changelog and d/control, thanks lintian.

  [ Wolfgang Schweer ]
  * debian/tests/control:
    - Remove obsolete option 'needs-recommends', thanks lintian.

 -- Holger Levsen <holger@debian.org>  Wed, 03 Oct 2018 21:15:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  , Dominik George <nik@naturalnet.de>
  , Wolfgang Schweer <wschweer@arcor.de>
 Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Git: https://salsa.debian.org/debian-edu/upstream/sitesummary
 Vcs-Browser: https://salsa.debian.org/debian-edu/upstream/sitesummary
@@ -41,4 +41,3 @@
  .
  This package is the client part, reporting in to the server after
  boot and once a day.
-

## sitesummary 0.1.37

=== debian/changelog ===
sitesummary (0.1.37) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Add "Rules-Requires-Root: binary-targets" to d/control documenting build
    needs. Closes: #890113

  [ Holger Levsen ]
  * Use the new debhelper-compat(=11) notation and drop d/compat.

 -- Holger Levsen <holger@debian.org>  Sat, 01 Dec 2018 15:40:46 +0100

## sitesummary 0.1.38

=== debian/changelog ===
sitesummary (0.1.38) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Add rules to ignore file system types cgroup2 and configfs in
    Nagios/Icinga.

 -- Holger Levsen <holger@debian.org>  Fri, 14 Dec 2018 14:21:12 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
  , Mike Gabriel <sunweaver@debian.org>
  , Dominik George <nik@naturalnet.de>
  , Wolfgang Schweer <wschweer@arcor.de>
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper-compat (= 11)
 Standards-Version: 4.2.1
 Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Git: https://salsa.debian.org/debian-edu/upstream/sitesummary
 Vcs-Browser: https://salsa.debian.org/debian-edu/upstream/sitesummary
+Rules-Requires-Root: binary-targets
 
 Package: sitesummary
 Architecture: all
@@ -30,7 +31,7 @@
 
 Package: sitesummary-client
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, lsb-base (>= 3.0-6), gnupg
+Depends: ${misc:Depends}, ${perl:Depends}, lsb-base (>= 3.0-6), gnupg, net-tools
 Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, iproute2, hdparm
 Suggests: sitesummary, munin-node, nagios-nrpe-server, monitoring-plugins-standard, cdpr
 Description: Generate site summary of submitting hosts (client part)

## sitesummary 0.1.39

=== debian/changelog ===
sitesummary (0.1.39) unstable; urgency=medium

  * d/control:
    - bump Standards-Version to 4.3.0, no changes needed.
    - use canonical URL for Vcs-Git, thanks lintian.
  * d/sitesummary.postinst: drop code supporting pre-squeeze versions,
    thanks lintian.

 -- Holger Levsen <holger@debian.org>  Wed, 16 Jan 2019 15:07:36 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  , Dominik George <nik@naturalnet.de>
  , Wolfgang Schweer <wschweer@arcor.de>
 Build-Depends: debhelper-compat (= 11)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
+Rules-Requires-Root: binary-targets
 Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
-Vcs-Git: https://salsa.debian.org/debian-edu/upstream/sitesummary
 Vcs-Browser: https://salsa.debian.org/debian-edu/upstream/sitesummary
-Rules-Requires-Root: binary-targets
+Vcs-Git: https://salsa.debian.org/debian-edu/upstream/sitesummary.git
 
 Package: sitesummary
 Architecture: all

## sitesummary 0.1.40

=== debian/changelog ===
sitesummary (0.1.40) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Added code in system collector for 'zpool status' when available.
  * Added collector for information from IPMI.

  [ Holger Levsen ]
  * d/sitesummary-client.postinst: drop code supporting pre-squeeze versions,
    thanks lintian.

 -- Holger Levsen <holger@debian.org>  Fri, 25 Jan 2019 13:11:01 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, lsb-base (>= 3.0-6), gnupg, net-tools
 Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, iproute2, hdparm
-Suggests: sitesummary, munin-node, nagios-nrpe-server, monitoring-plugins-standard, cdpr
+Suggests: sitesummary, munin-node, nagios-nrpe-server, monitoring-plugins-standard, cdpr, ipmitool, zfsutils-linux
 Description: Generate site summary of submitting hosts (client part)
  The sitesummary system makes it easier to keep track of a lot of
  machines, by allowing each machine to report their existence once a

## sitesummary 0.1.42

=== debian/changelog ===
sitesummary (0.1.42) unstable; urgency=medium

  * Remember to include ipmi collector in client package.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 26 Jan 2019 22:37:09 +0000

sitesummary (0.1.41) unstable; urgency=medium

  * Made ipmi collector more robust.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 26 Jan 2019 23:06:25 +0100

## sitesummary 0.1.43

=== debian/changelog ===
sitesummary (0.1.43) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * collect.d/system: throw away errors from hdparm to reduce noise from some
    HW RAID machines. Closes: #924451

 -- Holger Levsen <holger@debian.org>  Sat, 06 Apr 2019 16:01:45 +0200

=== debian/tests/control ===
Tests: test-server-client
Depends: @, apache2
Restrictions: needs-root isolation-container

## sitesummary 0.1.43+nmu1

=== debian/changelog ===
sitesummary (0.1.43+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:09:25 +0800

## sitesummary 0.1.44

=== debian/changelog ===
sitesummary (0.1.44) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/control: Replace icinga with icinga2. (Closes: ##933257)
    Thanks to Bas Couwenberg.

  [ Holger Levsen ]
   d/control:
     - bump standards version to 4.4.0, no changes needed.
     - bump debhelper-compat to 12.

 -- Holger Levsen <holger@debian.org>  Thu, 08 Aug 2019 14:49:52 +0200

## sitesummary 0.1.45

=== debian/changelog ===
sitesummary (0.1.45) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust nagios kernel version checking module to work with 5.x kernels.

 -- Holger Levsen <holger@debian.org>  Sun, 15 Sep 2019 14:38:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  , Mike Gabriel <sunweaver@debian.org>
  , Dominik George <nik@naturalnet.de>
  , Wolfgang Schweer <wschweer@arcor.de>
-Build-Depends: debhelper-compat (= 11)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Rules-Requires-Root: binary-targets
 Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Browser: https://salsa.debian.org/debian-edu/upstream/sitesummary
@@ -19,7 +19,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${perl:Depends}, gnupg, net-tools, libcgi-pm-perl
 Recommends: apache2 | httpd, sitesummary-client
-Suggests: munin, munin-node, icinga, monitoring-plugins-standard, ldap-utils, cups-client
+Suggests: munin, munin-node, icinga2, monitoring-plugins-standard, ldap-utils, cups-client
 Description: Generate site summary of submitting hosts (server part)
  The sitesummary system makes it easier to keep track of a lot of
  machines, by allowing each machine to report their existence once a

## sitesummary 0.1.46

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 COLLECTORS = \
 	collect.d/debian \
 	collect.d/debian-edu \
+	collect.d/ipmi \
 	collect.d/nagios \
 	collect.d/system \
 	collect.d/siteinfo

=== debian/changelog ===
sitesummary (0.1.46) unstable; urgency=medium

  * d/control:
    - bump debhelper-compat to 13.
    - bump standards version to 4.5.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Tue, 12 May 2020 22:05:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  , Mike Gabriel <sunweaver@debian.org>
  , Dominik George <nik@naturalnet.de>
  , Wolfgang Schweer <wschweer@arcor.de>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Rules-Requires-Root: binary-targets
 Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Browser: https://salsa.debian.org/debian-edu/upstream/sitesummary

## sitesummary 0.1.47

=== debian/changelog ===
sitesummary (0.1.47) unstable; urgency=medium

  [ Holger Levsen ]
  * Update standards version to 4.6.0, no changes needed.

  [ lintian-brush ]
  * Remove 1 obsolete maintscript entry.

 -- Holger Levsen <holger@debian.org>  Thu, 30 Sep 2021 11:40:05 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  , Dominik George <nik@naturalnet.de>
  , Wolfgang Schweer <wschweer@arcor.de>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
 Homepage: https://wiki.debian.org/DebianEdu/HowTo/SiteSummary
 Vcs-Browser: https://salsa.debian.org/debian-edu/upstream/sitesummary

## sitesummary 0.1.48

=== debian/changelog ===
sitesummary (0.1.48) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + sitesummary-client: Drop versioned constraint on lsb-base in Depends.

 -- Holger Levsen <holger@debian.org>  Thu, 21 Oct 2021 09:25:31 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 Package: sitesummary-client
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, lsb-base (>= 3.0-6), gnupg, net-tools
+Depends: ${misc:Depends}, ${perl:Depends}, lsb-base, gnupg, net-tools
 Recommends: cron, dmidecode, pciutils, usbutils, lsscsi, iproute2, hdparm
 Suggests: sitesummary, munin-node, nagios-nrpe-server, monitoring-plugins-standard, cdpr, ipmitool, zfsutils-linux
 Description: Generate site summary of submitting hosts (client part)

## sitesummary 0.1.49

=== debian/changelog ===
sitesummary (0.1.49) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add manual pages for sitesummary and sitesummary-client binary packages:
    - debian/sitesummary-client.8
    - debian/sitesummary-makewebreport.8
    - debian/sitesummary-nodes.8
    - debian/sitesummary-update-munin.8
    - debian/sitesummary-update-nagios.8
    - debian/sitesummary-upload.8
  * sitesummary-update-nagios: Use 'service' command instead of 'invoke-rc.d'.
  * sitesummary-client binary:
    - Add Lintian override for missing-systemd-service-for-init.d-script.
  * debian/rules: Drop no longer supported update-rc.d options.

 -- Holger Levsen <holger@debian.org>  Sun, 31 Oct 2021 14:57:44 +0100

## sitesummary 0.1.50

=== debian/changelog ===
sitesummary (0.1.50) unstable; urgency=medium

  * debian/*:
    + Split out bin:pkg libsitesummary-perl (relates to resolving
      debian-edu-config bugs #815695 and #968268).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 11 Feb 2022 22:34:29 +0100
